#
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2008. All Rights Reserved. 
#
# Note to U.S. Government Users Restricted Rights:  Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

use strict;
use CQPerlExt;

my $numArgs = @ARGV;

if ($numArgs != 12) {
   print STDERR ("Error: Incorrect Number of Arguments\n");
   print STDERR ("Usage: ratlperl GetUCMActivitySelector -username <user> -password <password> -userdb <user db> -dbset <dbset> -type <RecordType> -dbid <DBID>\n");
   exit(1);
}	

my $CQSession = CQSession::Build();

$CQSession->UserLogon($ARGV[1], $ARGV[3], $ARGV[5], $ARGV[7]);

if ($ARGV[9] eq "UCMUtilityActivity") {

   my $EntityObj = $CQSession->GetEntityByDbId($ARGV[9], $ARGV[11]);

   my $ActivityField = $EntityObj->GetFieldValue("ucm_vob_object");

   my $ActivitySelector = $ActivityField->GetValue();
   
   if ($ActivitySelector eq "") {
      print STDERR ("Error: No UCM Activity Reference Found.\n");
      exit(1);
   }

   print("$ActivitySelector\n");
   
} else {
   print STDERR ("Error: Unsupported Record Type: $ARGV[9]\n");
   exit(1);
}